Skip to main content
POST
/
user
/
tokens
Create a new API Token for Dashboard User
curl --request POST \
  --url https://app.dynamicauth.com/api/v0/user/tokens \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "note": "<string>",
  "scopes": []
}
'
{
  "token": {
    "id": "95b11417-f18f-457f-8804-68e361f9164f",
    "rawToken": "dyn_aGLjTe3TUN40vSE75sTtgUx9AjIe0q4n3LFC",
    "checksum": "4n3LFC",
    "createdBy": {
      "id": "95b11417-f18f-457f-8804-68e361f9164f",
      "alias": "<string>",
      "firstName": "<string>",
      "lastName": "<string>",
      "email": "jsmith@example.com"
    },
    "createdAt": "2023-11-07T05:31:56Z",
    "active": true,
    "note": "<string>",
    "projectEnvironmentId": "95b11417-f18f-457f-8804-68e361f9164f",
    "projectEnvironment": {
      "id": "95b11417-f18f-457f-8804-68e361f9164f"
    },
    "scopes": []
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Fields necessary to create a new token

Environment API token required fields for creation.

note
string
required

Name or note to help identify this token and its use.

Maximum string length: 100
scopes
enum<string>[]

Scopes assigned to an API token which they will have access to.

Valid scopes for an environment API token

Available options:
waas.delegatedAccess.signMessage,
waas.authenticate,
environment.settings.read,
environment.settings.write,
environment.apiTokens.read,
environment.apiTokens.write,
environment.users.read,
environment.users.write,
environment.analytics.read,
environment.webhooks.read,
environment.webhooks.write,
environment.events.read,
environment.events.write,
environment.balances.read

Response

The newly created token, with the plaintext of the token. This is the only time when this plaintext will be revealed.

token
object
required
Last modified on January 21, 2026